SoBoolOperation(3)

NAME
SoBoolOperation - The SoBoolOperation engine evaluates expressions of boolean logic.

SYNOPSIS

#include <Inventor/engines/SoBoolOperation.h>

Inherits SoEngine.

  Public Types
enum Operation { CLEAR, SET, A, NOT_A, B, NOT_B, A_OR_B, NOT_A_OR_B, A_OR_NOT_B, NOT_A_OR_NOT_B, A_AND_B, NOT_A_AND_B, A_AND_NOT_B, NOT_A_AND_NOT_B, A_EQUALS_B, A_NOT_EQUALS_B }

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoBoolOperation ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFBool a
SoMFBool b
SoMFEnum operation
SoEngineOutput output
SoEngineOutput inverse

  Protected Member Functions
virtual ~SoBoolOperation (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoBoolOperation engine evaluates expressions of boolean logic. The multivalue fields SoBoolOperation::a and SoBoolOperation::b are combined according to the operations set in SoBoolOperation::operation, with the resulting TRUE or FALSE value set on SoBoolOperation::output.

Member Enumeration Documentation

  enum SoBoolOperation::Operation
Enumeration of available boolean logic operators.

Enumerator

CLEAR
    Always set SoBoolOperation::output to FALSE, no matter the input values.

SET Always set SoBoolOperation::output to TRUE, no matter the input values.

A   Output result = SoBoolOperation::a

NOT_A
    Output result = ! SoBoolOperation::a

B   Output result = SoBoolOperation::b

NOT_B
    Output result = ! SoBoolOperation::b

A_OR_B
    r = a || b

NOT_A_OR_B
    r = !a || b

A_OR_NOT_B
    r = a || !b

NOT_A_OR_NOT_B
    r = !a || !b

A_AND_B
    r = a && b

NOT_A_AND_B
    r = !a && b

A_AND_NOT_B
    r = a && !b

NOT_A_AND_NOT_B
    r = !a && !b

A_EQUALS_B
    r = a==b

A_NOT_EQUALS_B
    r = ! a==b

Constructor & Destructor Documentation

  SoBoolOperation::SoBoolOperation (void)
Default constructor.

  SoBoolOperation::~SoBoolOperation (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBoolOperation::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoBoolOperation::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoBoolOperation::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoBoolOperation::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoBoolOperation::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoBoolOperation::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoBoolOperation::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFBool SoBoolOperation::a
First set of boolean input 'signal' values.

  SoMFBool SoBoolOperation::b
Second set of boolean input 'signal' values.

  SoMFEnum SoBoolOperation::operation
Set of boolean logic expressions. Each of these are used to combine SoBoolOperation::a with SoBoolOperation::b (for each index value from 0 to the last value) to produce the results on the SoBoolOperation::output field.

  SoEngineOutput SoBoolOperation::output
(SoMFBool) The result of each (a[i] operation[i] b[i]) expression.

  SoEngineOutput SoBoolOperation::inverse
(SoMFBool) The set of inverse results.

Author

Generated automatically by Doxygen for Coin from the source code.